DisableCertificateDetails¶
-
class
oci.bds.models.DisableCertificateDetails(**kwargs)¶ Bases:
objectThe request body info about disable certificate service list.
Methods
__init__(**kwargs)Initializes a new DisableCertificateDetails object with values from keyword arguments. Attributes
cluster_admin_passwordGets the cluster_admin_password of this DisableCertificateDetails. secret_idGets the secret_id of this DisableCertificateDetails. services[Required] Gets the services of this DisableCertificateDetails. -
__init__(**kwargs)¶ Initializes a new DisableCertificateDetails object with values from keyword arguments. The following keyword arguments are supported (corresponding to the getters/setters of this class):
Parameters: - cluster_admin_password (str) – The value to assign to the cluster_admin_password property of this DisableCertificateDetails.
- secret_id (str) – The value to assign to the secret_id property of this DisableCertificateDetails.
- services (list[oci.bds.models.Service]) – The value to assign to the services property of this DisableCertificateDetails.
-
cluster_admin_password¶ Gets the cluster_admin_password of this DisableCertificateDetails. Base-64 encoded password for the cluster admin user.
Returns: The cluster_admin_password of this DisableCertificateDetails. Return type: str
-
secret_id¶ Gets the secret_id of this DisableCertificateDetails. The secretId for the clusterAdminPassword.
Returns: The secret_id of this DisableCertificateDetails. Return type: str
-
services¶ [Required] Gets the services of this DisableCertificateDetails. List of services for which certificate needs to be disabled.
Returns: The services of this DisableCertificateDetails. Return type: list[oci.bds.models.Service]
-